Query Information of an Alarm
Query an extension's alarm information.
Request URL
GET {base_url}/{api_path}/wakeupcall/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ext_id | Yes | Integer | The unique ID of an extension.Note:You can query extension's ID using Search Specific Extensions. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array <Wakeup_Info> | Alarm list. |
Wakeup_Info
| Parameter | Type | Description |
|---|---|---|
| ext_id | Integer | The unique ID of the extension. |
| wakeup_call | Array <Extension_Wakeup> | The alarm information of the extension. |
Extension_Wakeup
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of an alarm. |
| alarm_time | String | Alarm time. |
| repeat_type | String | The schedule and specific days for repeating the alarm. |
| number_of_snoozes | Integer | How many times will the alarm be repeated. |
| snooze_duration | Integer | The interval in minutes between each repeat. |
| alarm_prompt | String | The name of alarm prompt. |
| alarm_day | String | Alarm date. |
| repeat_option | String | The frequency for repeating the alarm. |
| ring_timeout | Integer | The amount of time that the alarm will ring before timeout. |
| fail_dest_type | String | The failover destination type. |
| fail_dest_data | Integer | The specific failover destination. |
| remark | String | Additional information about the alarm. |
Examples
Request example
GET /openapi/v1.0/wakeupcall/get?ext_id=39&access_token=ojPrvnfzPdwc8OCcRmhG16gEHuZcwFco HTTP/1.1 Host: 192.168.5.150:8088 Content-Type: application/json
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"ext_id": 39,
"wakeup_call": [
{
"id": 2,
"alarm_time": "06:00",
"repeat_type": "every_monday,every_tuesday,every_wednesday,every_thursday,every_friday,every_saturday,every_sunday",
"number_of_snoozes": 3,
"snooze_duration": 5,
"alarm_prompt": "morning-call.wav",
"repeat_option": "every_day",
"ring_timeout": 20,
"fail_dest_type": "hangup",
"remark": "Make call"
}
]
}
}